Bento4 缓冲区错误漏洞

QQ空间 新浪微博 微信 QQ facebook twitter
漏洞ID 1228790 漏洞类型 缓冲区错误
发布时间 2018-07-25 更新时间 2019-10-23
CVE编号 CVE-2018-14589 CNNVD-ID CNNVD-201807-1799
漏洞平台 N/A CVSS评分 N/A
|漏洞来源
http://www.cnnvd.org.cn/web/xxk/ldxqById.tag?CNNVD=CNNVD-201807-1799
|漏洞详情
Bento4是一款用于读写MP4文件的开源的C++库。 Bento4 1.5.1-624版本中的Codecs/Ap4Mp4AudioInfo.cpp文件的AP4_Mp4AudioDsiParser::ReadBits存在堆缓冲区溢出漏洞。攻击者可利用该漏洞造成基于堆的缓冲区越界读取。
|参考资料

来源:github.com

链接:https://github.com/axiomatic-systems/Bento4/issues/303